CONCERTO FOR GROUP AND ORCHESTRA

Album recorded by DEEP PURPLE
With the ROYAL PHILHARMONIC ORCHESTRA
At the Royal Albert Hall, September 24th, 1969
Album released December 1969

  Unlike every other Deep Purple album released,  this album  has 
very  few  lyrics to transcribe.  The only lyrics that  are  sung 
throughout the whole concerto appear in the second movement,  and 
were probably ad-libbed. They are:

How can I see the light has gone out
How can I hear when you speak so silently
More than enough is never too much
Hold out a hand - I'm so out of touch

You want to feel as your heart would have you do
Looks on my head cannot get the message through
So that my hand can cut through
Peace in my heart can suffer too

What shall I do when they stand smiling at me
Look at them all and be so cool, oh so cool

How shall I know when to start singing my song
What shall I do when they all go by

What shall I do...

THE DEEP PURPLE APPRECIATION SOCEITY
PO BOX 254, SHEFFIELD, S6 1DF, UK


